#ifndef WGLRENDERER_H_
#define WGLRENDERER_H_

#include <windows.h>



#include "oglrendrer.h"

class WGLRenderer :
	public OGLrendrer
{
public:
	WGLRenderer(void);
	WGLRenderer(HDC dca);
	virtual ~WGLRenderer(void);
	void endFrame();
	void loadTexture(char *fileName, void **buffer);
	void *getGlProcAddress(char *symbolName);
private:
	HDC devcon;
	HGLRC myglrc;
};

#endif //WGLRENDERER_H_